import { defineStore } from "pinia";
import { reactive } from "vue";

export const useJobStore = defineStore("job", () => {
  const jobInfo = reactive<any>({});

  function setInfo(job: any) {
    Object.assign(jobInfo, job);
  }

  function resetInfo() {
    Object.assign(jobInfo, {});
  }

  return {
    jobInfo,
    setInfo,
    resetInfo,
  };
});
